//Inventory system


/** Incredibly simple; just uses a single string for each item. No need for more here. */
function Inventory() {
	this.items = [];
	this.used = []; //Remember what has been used
	this.obtained = []; //Remember everything that has ever been obtained
	this.spritesets = [];
	var sound = LoadSound("sfx-get.ogg");
	
	this.get = function(item) {
		sound.stop();
		sound.play();
		this.items.push(item);
		this.obtained.push(item);
		if (EVENTS.eventlist[item + " obtained"])
			EVENTS.trigger(item + " obtained");
	}
	
	
	/** Render some stuff maybe, like the pics of the inventory items */
	this.render = function() {
		//for (var i = 0; i < this.items.length; i++)
			//GetPersonSpriteset(this.items[i]).images[0].blit(10+i*32, 270);
			//LoadSpriteset()
	}
	
	
	/** Every Frame Logix, yo **/
	this.update = function() {
		
	}
	
	/** Has item? */
	this.has = function(item) {
		for (var i in this.items)
			if (this.items[i] == item) return true;
		return false;
	}
	
	/** Check if items on the map need to be destroyed when the map switches */
	this.check = function() {
		for (var i in this.obtained)
			if (DoesPersonExist(this.obtained[i])) DestroyPerson(this.obtained[i]);
		
		//for (var i in this.
	}
	
	/** Use an item */
	this.use = function(item) {
		this.items.splice(this.items.indexOf(item));
	}
}